extends Node2D

onready var sprite = $Sprite

func _input(event):
	if event is InputEventMouse:
		var pos = event.position.x
		if pos < 10:
			sprite.frame = 0
		elif pos > 32-10:
			sprite.frame = 2
		else:
			sprite.frame = 1
